diff tests/test-bad-pull @ 7903:490e40816cbd

tests: strip o/s-dependent error messages from some http tests
author John Coomes <john.coomes@sun.com>
date Fri, 27 Feb 2009 17:28:26 -0800
parents e3a0c092b4e2
children 3e6206967570
line wrap: on
line diff
--- a/tests/test-bad-pull	Sat Mar 28 17:29:14 2009 +0100
+++ b/tests/test-bad-pull	Fri Feb 27 17:28:26 2009 -0800
@@ -1,7 +1,7 @@
 #!/bin/sh
 
-hg clone http://localhost:$HGPORT/ copy
-echo $?
+{ hg clone http://localhost:$HGPORT/ copy 2>&1; echo $?; } | \
+	sed 's/error:.*/error:/'
 test -d copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
@@ -23,8 +23,7 @@
 # give the server some time to start running
 sleep 1
 
-http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1 | \
+{ http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1; echo $?; } | \
     sed -e 's/404.*/404/' -e 's/Date:.*/Date:/'
-echo $?
 
 kill $!